最新消息:从今天开始,做一个有好习惯的人。

莫名其妙的java.err.nojdk

问题收集 迷路的老鼠 2150浏览 0评论

今天把以前的项目重构了一下,升级jetty到7.6.x,但是莫名其妙的问题出来了。

org.apache.jasper.JasperException: java.err.nojdk

nojdk?到网上看了一下,有很多不同的理解,但是试过了,没啥用。有个版本的说法是需要JDK7,开玩笑吧?

打开项目的Properties,看了一下,默认环境是eclipse的jre,莫非是这个问题?

000

 

果断的切换到了自己的JRE,也就是下面的这个jdk1.6.0_18,传奇般的好了,看来不是版本的问题,而是jre和jdk的问题。

转载请注明:迷路的老鼠 » 莫名其妙的java.err.nojdk

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址